#include <bits/stdc++.h>

using namespace std;

void zadatak(){
    int N, M, K, p, u, n;
    cin >> N >> M >> K;
    p = N % K;
    N -= p;
    n = N / K;
    u = p * (n + 1) * (n + 2) / 2 + (K - p) * (n + 1) * n / 2;
    if(u > M){
        cout << "Nie";
    }
    else{
        cout << "Tak";
    }
}

int main()
{
    int T;
    cin >> T;
    for(int i = 0; i < T; i++){
        zadatak();
    }
    return 0;
}